const mongoose = require('mongoose');

const houseSchema = mongoose.Schema({
	pics: Array,
	title: String,
	region: String,
	city: String,
	village: String,
	address: String,
	building_kind: String,
	house_kind_options: Object,
	about_house: String,
	bedrooms: Number,
	house_area: Number,
	ground_area: Number,
	standard_space: Number,
	maximum_space: Number,
	single_bed: Number,
	double_bed: Number,
	texture: Object,
	about_texture: String,
	facilities: Object,
	about_facilities: String,
	enter_time: String,
	exit_time: String,
	minimum_reserve_number: Number,
	can_party: Boolean,
	can_bring_pets: Boolean,
	custom_rules: String,
	normal_price: Number,
	weekend_price: Number,
	peak_price: Number,
	extra_price: Number,
	discount_1: Object,
	discount_2: Object,
	house_id: String,
	owner_id: String,
	reserve_history: Array,
	comments: Array,
	reserved_dates: Array,
	rating: Number,
	ratings: Array,
	ratingsNumber: Number,
	active: Boolean,
	data_complete: Boolean
})

const House = mongoose.model("House", houseSchema);

module.exports = House;
